.navigation {
    position: relative;

    @include respond(tabland-min) {
        margin-left: auto;

        .nav-toggle {
            position: absolute;
            top: 50%;
            right: 1rem;
            transform: translateY(-50%);
        }
    }

    @include respond(tabport-min) {}

    @include respond(tabland) {
        position: static;
        background-image: none;
        padding-right: 2rem;
        justify-self: right;

        .nav-toggle {
            float: right;

            span {
                background-color: #000;
            }
        }
    }
}

.navul {
    display: flex;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    list-style: none;
    padding-left: 0;
    margin-bottom: 0;
    list-style-type: none;

    >li {
        position: relative;
        display: inline-block;

        >a {
            position: relative;
            display: inline-block;
            color: $color-black;
            font-family: $font-1;
            font-size: 23px;
            font-weight: 400;
            letter-spacing: .575px;
            user-select: none;
            transition: all 0.3s ease;

            &:hover {
                color: $color-main;

                &::before,
                &::after {
                    width: 100%;
                }
            }
        }

        &.has-submenu {
            position: relative;

            >img {
                display: inline-block;
                vertical-align: unset;
                width: 16.6px;
                height: 8.3px;
                margin-left: 3.7px;
            }

            ul {
                width: 100%;
                padding-left: 0;
                list-style-type: none;
                color: $color-black;
                background-color: #fff;
                // box-shadow: 0 0 2px 0 rgba(#000, 0.2);
                border-radius: 0 0 23px 23px;
                overflow: hidden;
                transition: all 0.3s ease;

                li {
                    line-height: normal;
                    text-align: center;

                    a {
                        display: block;
                        font-family: $font-1;
                        font-size: 23px;
                        font-weight: 400;
                        padding: 1.5rem;
                        // text-transform: uppercase;
                        user-select: none;

                        &:hover {
                            color: $color-sub;
                            background-color: #f6f6f6;
                        }
                    }

                    &.active {
                        a {
                            color: $color-sub;
                            font-weight: 600;
                        }
                    }
                }
            }

            &.active::after {
                color: #fff;
                right: 10px;
            }
        }

        &[class*="nav-"] {
            margin-left: 0.5rem;
        }

        &.active {
            >a {

                &::before,
                &::after {
                    width: 100%;
                }
            }
        }

        &.nav-contact {
            margin-right: 0;


            >a {
                color: #fff;
                background-color: $color-main;
                padding: 4px 24.5px 9.5px 25px;
                border-radius: 6px;
            }
        }

        &.nav-heart {
            margin-left: 22.2px;

            img {
                width: 25px;
                max-width: 100%;
            }
        }
    }

    @media (min-width: 1201px) {
        >li {
            padding: 0;
        }
    }

    @media (max-width: 1200px) {
        >li {
            &:not(:last-child) {
                margin-right: 0;
            }
        }
    }

    @media (min-width: 992px) {
        justify-content: flex-end;
        padding-top: 16px;
        padding-bottom: 27px;

        >li {
            &.nav-contact {
                margin-left: 41px;
                text-align: center;
            }

            &.has-submenu {
                &::after {
                    right: 8px;
                }

                ul {
                    position: absolute;
                    top: 100%;
                    left: 0;
                    transform: scaleY(0);
                    visibility: hidden;
                    transform-origin: 0 0;
                    min-width: 22rem;

                    >li {
                        border-bottom: 1px solid rgba(#fff, 0.2);

                        >a {
                            &:hover {
                                color: $color-main;
                            }
                        }
                    }
                }

                &-col-2 ul {
                    display: flex;
                    flex-wrap: wrap;

                    li {
                        width: 50%;
                    }
                }

                &:hover {
                    >a {
                        color: $color-sub;
                        // background-color: #fff;

                        &::before {
                            width: 100%;
                        }
                    }

                    ul {
                        transform: scaleY(1);
                        visibility: visible;
                    }
                }
            }
        }
    }

    @include respond(smdesktop-bgdesktop) {
        >li {
            >a {}
        }
    }

    @media (min-width: 992px) and (max-width: 1200px) {
        >li {
            &:not(:last-child) {
                margin-right: 10px;
            }

            >a {}
        }
    }

    @media (max-width: 991px) {
        display: block;

        >li {
            display: block;
            margin-bottom: 6px;

            >a {
                color: #fff;
                padding: 10px 20px;

                &:hover {}
            }

            &.has-submenu {
                ul {
                    height: 0;

                    li {
                        a {
                            padding: 15px 20px
                        }
                    }
                }

                >img {
                    filter: brightness(0) invert(1);
                }

                &.open {
                    ul {
                        transform: scaleY(1);
                        visibility: visible;
                        height: auto;
                    }
                }
            }

            &.active>a {
                color: $color-main;
            }
        }
    }
}

/* nav toggle icon */

.nav-toggle {
    z-index: 2;
    width: 32px;
    height: 24px;
    position: relative;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: 0.5s ease-in-out;
    -moz-transition: 0.5s ease-in-out;
    -o-transition: 0.5s ease-in-out;
    transition: 0.5s ease-in-out;
    cursor: pointer;

    span {
        display: block;
        position: absolute;
        height: 2px;
        width: 100%;
        background: #fff;
        border-radius: 0;
        opacity: 1;
        left: 0;
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
        -webkit-transition: 0.25s ease-in-out;
        -moz-transition: 0.25s ease-in-out;
        -o-transition: 0.25s ease-in-out;
        transition: 0.25s ease-in-out;

        &:nth-child(1) {
            top: 0;
        }

        &:nth-child(2) {
            top: 10px;
        }

        &:nth-child(3) {
            top: 20px;
        }
    }

    &.open {
        margin-top: -5px;

        span {
            background-color: $color-main;

            &:nth-child(1) {
                top: 18px;
                -webkit-transform: rotate(135deg);
                -moz-transform: rotate(135deg);
                -o-transform: rotate(135deg);
                transform: rotate(135deg);
            }

            &:nth-child(2) {
                opacity: 0;
                left: -60px;
            }

            &:nth-child(3) {
                top: 18px;
                -webkit-transform: rotate(-135deg);
                -moz-transform: rotate(-135deg);
                -o-transform: rotate(-135deg);
                transform: rotate(-135deg);
            }
        }
    }

    // &::before {
    //     content: "";
    //     @include absoldefault;
    //     border: 1px solid #fff;
    //     transform: scale(2, 3);
    // }

}